##
##  serf.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         serf
Summary:      APR HTTP Client Library
URL:          http://serf.apache.org/
Vendor:       Justin Erenkrantz, Greg Stein
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Web
License:      Apache
Version:      1.3.9
Release:      20220525

#   list of sources
Source0:      https://archive.apache.org/dist/serf/serf-%{version}.tar.bz2
Patch0:       serf.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, scons, python
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  apr, openssl10, zlib
PreReq:       apr, openssl10, zlib

%description
    The serf library is a C-based HTTP client library built upon the
    Apache Portable Runtime (APR) library. It multiplexes connections,
    running the read/write communication asynchronously. Memory
    copies and transformations are kept to a minimum to provide high
    performance operation.

%track
    prog serf = {
        version   = %{version}
        url       = http://serf.apache.org/download
        regex     = serf-(__VER__)\.tar\.bz2
    }

%prep
    %setup -q
    %patch -p0

%build
    #   build program
    PYTHONPATH=%{l_prefix}/lib/scons:%{l_prefix}/lib/python TERM=vt100 \
    %{l_prefix}/bin/python %{l_prefix}/bin/scons \
        PREFIX=%{l_prefix} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        CPPFLAGS="%{l_cppflags openssl10 .}" \
        LINKFLAGS="%{l_ldflags openssl10 .}" \
        APR="%{l_prefix}/bin/apr-1-config" \
        APU="%{l_prefix}/bin/apu-1-config" \
        APR_STATIC=1 \
        OPENSSL=%{l_prefix} \
        ZLIB=%{l_prefix} \
        .
    %{l_shtool} subst \
        -e 's; -R[^ ]*;;g' \
        serf-1.pc

%install
    PYTHONPATH=%{l_prefix}/lib/scons:%{l_prefix}/lib/python TERM=vt100 \
    %{l_prefix}/bin/python %{l_prefix}/bin/scons \
        install --install-sandbox=$RPM_BUILD_ROOT \
        PREFIX=%{l_prefix}
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/libserf*.so* >/dev/null 2>&1 || true
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/libserf*.la >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

